
using System;
namespace Stat.Cache
{
    /// <summary>
    /// 系统配置
    /// </summary>
    public interface IConfig
    {
        /// <summary>
        /// 获取 web.config 配置
        /// </summary>
        /// <param name="wName">键名</param>
        /// <returns>键值</returns>
        int GetWebConfig_int(string wName);
        /// <summary>
        /// 获取 web.config 配置
        /// </summary>
        /// <param name="wName">键名</param>
        /// <returns>键值</returns>
        string GetWebConfig_Str(string wName);
        /*----------------------------------------*/
        /// <summary>
        /// 是否允许用户登录
        /// </summary>
        /// <returns></returns>
        bool IsAllowUserLogin();
        /// <summary>
        /// 是否允许用户注册
        /// </summary>
        /// <returns></returns>
        bool IsAllowRegister();
        /// <summary>
        /// 网站名称
        /// </summary>
        /// <returns></returns>
        string WebName();
        /// <summary>
        /// 网站URL
        /// </summary>
        /// <returns></returns>
        string WebUrl();
        /// <summary>
        /// 统计演示ID
        /// </summary>
        /// <returns></returns>
        int ShowID();
        /// <summary>
        /// 网站LOGO
        /// </summary>
        /// <returns></returns>
        string WebLogo();
        /// <summary>
        /// 网站底部
        /// </summary>
        /// <returns></returns>
        string WebFoot();
        /// <summary>
        /// 网站统计代码
        /// </summary>
        /// <returns></returns>
        string StatCode();
        /// <summary>
        /// 注册协议
        /// </summary>
        /// <returns></returns>
        string WebCopy();
        /// <summary>
        /// 小时段 推迟 数
        /// </summary>
        /// <returns></returns>
        int GetStatHourPostpone();
        /// <summary>
        /// 用户总数
        /// </summary>
        /// <returns></returns>
        int GetUserTotal();
        /// <summary>
        /// 站点总数
        /// </summary>
        /// <returns></returns>
        int GetWebsiteTotal();
        /// <summary>
        /// 初始化 IP 作业模式
        /// </summary>
        /// <returns></returns>
        bool SetupIpTaskMode();
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        bool IsUserPwdMd5();
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        Int32 Deferred();
    }
}
